function GenerateResponsePage(dim,wPtr,start_button, dimensionRight, dimensionLeft,dimensionTextures)
% GenerateResponsePage(dim,wPtr,start_button, dimensionRight, dimensionLeft,dimensionTextures)
% 
% Inputs:
% dim:a numeric value representing the block dimension, 
%     can take the following values 1:Agency, 0: Experience, -1:Both
% wPtr: active window pointer
% start_button:a numeric array that stores the location of the start_button
% dimensionRight: a numeric array containing pixel coordinates of the
%                 button located at the upper-right corner
% dimensionLeft:a numeric array containing pixel coordinates of the
%                 button located at the upper-left corner
% dimensionTextures: a struct with fields pointing at the previously
%                    created textures
%
% GenerateResponsePage.m draws specific(depending on the dimension value)
% response-page textures on the onscreen-window which are to be flipped by
% the script making the function call. This is a helper function and it
% relies on the  Screen.m function from PsychtoolBox. 
%
% Written by Seyda EVSEN

white = [255 255 255];
if dim == 1
    % Agency Block
    Screen('FillRect', wPtr, white);
    Screen('TextStyle',wPtr,1);
    Screen('DrawTexture',wPtr, dimensionTextures.agencyHigh,[],dimensionLeft);
    Screen('DrawTexture',wPtr, dimensionTextures.agencyLow, [], dimensionRight);
    Screen('DrawTexture',wPtr, dimensionTextures.start,[],start_button);
elseif dim == 0
    % Experience Block
    Screen('FillRect', wPtr, white);
    Screen('DrawTexture',wPtr, dimensionTextures.start,[],start_button);
    Screen('TextStyle',wPtr,1);
    Screen('DrawTexture',wPtr, dimensionTextures.expHigh,[],dimensionLeft);
    Screen('DrawTexture',wPtr, dimensionTextures.expLow, [], dimensionRight);
else
    % Both Dimensions 
    Screen('FillRect', wPtr, white);
    Screen('DrawTexture',wPtr, dimensionTextures.start,[],start_button);
    Screen('DrawTexture',wPtr, dimensionTextures.agencyLexCategory,[],dimensionLeft);
    Screen('DrawTexture',wPtr, dimensionTextures.experienceLexCategory, [], dimensionRight);
    Screen('TextStyle',wPtr,1);
end
end